(function ($) {
    "use strict";
    $(document).ready(function($){
    	$('#sns_cpanel_btn').click(function(){
    		if( !$('#sns_cpanel').hasClass('open') ){
    			$('#sns_cpanel').animate({right:'0px'});
    			$('#sns_cpanel').addClass('open');
    		}else{
    			$('#sns_cpanel').animate({right:'-290px'});
    			$('#sns_cpanel').removeClass('open');
    		}
    	});
    	// SCSS Compile
    	$('#sns_cpanel .scss_compile a').click(function(){
            var scsscompile = $(this).data('scsscompile');
            var href = $(this).attr('href');
            $('#sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'advance_scss_compile',
                	value : scsscompile
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });

        // Click Boxed Layout
    	$('#sns_cpanel .boxed_layout a').click(function(){
            var boxed = $(this).attr('data-boxed');
            var href = $(this).attr('href');
            $('#sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'use_boxedlayout',
                	value : boxed
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
        
        // Click Sticky Menu
    	$('#sns_cpanel .sticky_menu a').click(function(){
            var sticky = $(this).data('sticky');
            var href = $(this).attr('href');
            $('#sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_setcookies',
                	key	: 'use_stickmenu',
                	value : sticky
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
        
        // Reset cookie
        $('#sns_cpanel .btn-reset').click(function(){
            var href = '<?php echo site_url(); ?>';
            $('#sns_cpanel').addClass('wait');
            $.ajax({
                url: ajaxurl,
                data:{
                	action : 'sns_resetcookies'
                },
                type: 'POST',
                success:function(result){
                	if ( href != '#' ) window.location.href = href;
                	else window.location.href = window.location.href;
                }
            });
            return false;
        });
    });
})(jQuery);