(function ($) {
	"use strict";
	$(document).ready(function($){
		var $win = $(window);
		// Fix max height slideshow
		var sl_maxheight;
		sl_maxheight = $(window).height()-60 ;
		if(sl_maxheight > 800 && $('body.home.sns_header_style1 #sns_slideshow').length > 0) $('body.home.sns_header_style1 #sns_slideshow').css('max-height', sl_maxheight);
		// Sticky Menu for homepage 4
		$win.scroll(function(){
			if( $('#sticky-navigation-holder').length>0 ){
				var $doc 		= document.documentElement;
				var $top_offset = (window.pageYOffset || $doc.scrollTop) - ($doc.clientTop || 0);
				var $wpadminbar = $("#wpadminbar").height();
				if($win.width() < 767){
					$wpadminbar = 0;
				}
				if( $top_offset > $('#sns_menu').offset().top + 50 ){
					$('#sticky-navigation-holder').addClass('scrolled');
					$('#sns_menu .sns_menu_wrapper').appendTo($('#sticky-navigation-holder'));
					$('#sticky-navigation-holder').css({'top': $wpadminbar });
					
				}else{
					$('#sticky-navigation-holder').removeClass('scrolled');
					$('#sticky-navigation-holder').css('top',0);
					$('#sticky-navigation-holder .sns_menu_wrapper').appendTo($('#sns_menu'));
				}
			}
		});
		//scroll
		$('.top-advertisement-widget').each(function(){
			var $this = $(this);
			$this.find('.arrow_down').click(function(){
				var $_id = $(this).attr('href');
				$("html, body").animate({ scrollTop: $($_id).offset().top - 50}, 800);

				return false;
			});
		});
		// lazyload for woo product
		if( $('body').hasClass('use_lazyload') ){
			$('.product_list, .sns-products-list').each(function(){
				if( $(this).length > 0 ){
					$(this).find('img.lazy').lazyload();
				}
			})
		}
		// Scroll to top
		if( $('#sns-totop').length > 0 ){
			$("#sns-totop").hide();
			var wh = $(window).height();
			var whtml =  $(document).height();
			$(window).scroll(function () {
				if ($(this).scrollTop() > whtml/10) {
					$('#sns-totop').fadeIn();
				} else {
					$('#sns-totop').fadeOut();
				}
			});
			$('#sns-totop').click(function () {
				$('body,html').animate({
					scrollTop: 0
				}, 800);
				return false;
			});
		}

		// handle-preload
		$('.handle-preload').removeClass('handle-preload');
		// Set color, border-color for social icon
		$('.connect-us [data-color]').hover(function(){
			$(this).css({
				'color':$(this).attr('data-color'), 
				'border-color':$(this).attr('data-color')
			});
		},function(){
			$(this).css({
				'color':'',
				'border-color':''
			})
		});
		// products slider preload
		if( $('.sns-products-slider').length > 0 ){
			setTimeout(function(){
				$('.sns-products-slider').addClass('loaded');
			},1100);
		}

		// SNS Preload
		if( $('.sns-preload').length > 0 ){
			setTimeout(function(){
				$('.sns-preload').addClass('sns-loaded');
			},1000);
		}

		// Count to
		$('.counter-value').each(function(){
			$(this).waypoint(function() {
	        	var element = $(this).find(' > span');
		    	element.countTo({
		    		from: element.data('from'), 
		    		to: element.data('to'),
		    		efreshInterval: element.data('interval'),
		    		speed: element.data('speed')
		    	});
	        },{
			triggerOnce : true ,
			     offset : '100%'
	    	});
		});
		
		// blog masonry
		if($('.sns-grid-masonry').length > 0){
			$('.sns-grid-masonry').masonry({
				// options
				itemSelector: '.sns-grid-item',
			});
		}
		// Related post
		if($('.post-related .related-content').length > 0){
            $('.post-related .related-content').owlCarousel({
                items: 3,
                responsive : {
                    0 : { items: 1},
                    480 : { items: 2 },
                    768 : { items: 3 },
                    992 : { items: 3 },
                    1200 : { items: 3 }
                },
                loop:true,
                dots: false,
                onInitialized: callback,
                slideSpeed : 800
            });
            function callback(event) {
                if(this._items.length > this.options.items){
                    $('.post-related .navslider').show();
                }else{
                    $('.post-related .navslider').hide();
                }
            }
            $('.post-related .navslider .prev').on('click', function(e){
                e.preventDefault();
                $('.post-related .related-content').trigger('prev.owl.carousel');
            });
            $('.post-related .navslider .next').on('click', function(e){
                e.preventDefault();
                $('.post-related .related-content').trigger('next.owl.carousel');
            });
    	}
		// Post qoute
		if($('.type-post .quote-info').length > 0){
			$('.type-post .quote-info').each(function(){
				if( $(this).attr('data-color') != '' ){
					$(this).css('color', $(this).attr('data-color'));
				}
				if( $(this).attr('data-bg') != '' ){
					$(this).css('background-color', $(this).attr('data-bg'));
				}
			});
		}
		// Post gallery
		if($('.type-post .gallery-thumb').length > 0){
			$('.type-post .gallery-thumb').each(function(){
				var post_id = '#' + $(this).parents('article').attr('id');
				$(post_id+' .thumb-container').owlCarousel({
                    items: 1,
                    loop:true,
                    dots: false,
                    autoHeight: true,
                    onInitialized: callback,
                    slideSpeed : 800
                });
                function callback(event) {
                    if(this._items.length > this.options.items){
                        $(post_id+' .navslider').show();
                    }else{
                        $(post_id+' .navslider').hide();
                    }
                }
                $(post_id+' .navslider .prev').on('click', function(e){
                    e.preventDefault();
                    $(post_id+' .thumb-container').trigger('prev.owl.carousel');
                });
                $(post_id+' .navslider .next').on('click', function(e){
                    e.preventDefault();
                    $(post_id+' .thumb-container').trigger('next.owl.carousel');
                });
			});
		}
		// Widget latest post
		if($('.sns-latest-posts-widget').length > 0){
			$('.sns-latest-posts-widget').each(function(){
				var ltpost_id = '#' + $(this).attr('id');
				$(ltpost_id+' ul').owlCarousel({
					items: 1,
					loop:true,
			        dots: false,
				   	autoplay: false,
			        onInitialized: callback,
			        slideSpeed : 600
				});
				function callback(event) {
						if(this._items.length > this.options.items){
				        $(ltpost_id+' .navslider').show();
				    }else{
				        $(ltpost_id+' .navslider').hide();
				    }
				}
				$(ltpost_id+' .navslider .prev').on('click', function(e){
					e.preventDefault();
					$(ltpost_id+' ul').trigger('prev.owl.carousel');
				});
				$(ltpost_id+' .navslider .next').on('click', function(e){
					e.preventDefault();
					$(ltpost_id+' ul').trigger('next.owl.carousel');
				});
			});
		}
		// Widget testimonial
		if($('.sns-testimonial-widget').length > 0){
			$('.sns-testimonial-widget').each(function(){
				var testimonial_id = '#' + $(this).attr('id');
				jQuery(testimonial_id + ' ul').owlCarousel({
					items: 1,
					loop: true,
		            dots: false,
		            nava: false,
				    autoplay: false,
		            onInitialized: callback,
		            slideSpeed : 800
				});

				function callback(event) {
					if(this._items.length > this.options.items){
				        jQuery(testimonial_id + ' .navslider').show();
				    }else{
				        jQuery(testimonial_id + ' .navslider').hide();
				    }
				}
				jQuery(testimonial_id + ' .navslider .prev').on('click', function(e){
					e.preventDefault();
					jQuery(testimonial_id + ' ul').trigger('prev.owl.carousel');
				});
				jQuery(testimonial_id + ' .navslider .next').on('click', function(e){
					e.preventDefault();
					jQuery(testimonial_id + ' ul').trigger('next.owl.carousel');
				});
			});
		}

	});
	
	$(window).load(function(){
		// Tooltip
	    $("body.use-tooltip *[data-toggle='tooltip']").each(function(){
			$(this).tooltip({
	    		container: 'body'
	    	}, 'show');
		});
		$(document).ajaxComplete(function(){
			$("body.use-tooltip *[data-toggle='tooltip']").each(function(){
				$(this).tooltip({
		    		container: 'body'
		    	});
			});
			// lazyload for woo product
			if( $('body').hasClass('use_lazyload') ){
				var timeout = setTimeout(function() {
					$(".sns-main img.lazy:not(.loaded)").lazyload();
				}, 1000);
			}
			// Post qoute
			if($('.type-post .quote-info').length > 0){
				$('.type-post .quote-info').each(function(){
					if( $(this).attr('data-color') != '' ){
						$(this).css('color', $(this).attr('data-color'));
					}
					if( $(this).attr('data-bg') != '' ){
						$(this).css('background-color', $(this).attr('data-bg'));
					}
				});
			}
		});
	});
	$.fn.SnsAccordion = function(options) {
		var $el    = $(this);
		var defaults = {
			active: 'open',
			active_default: 'nav-2',
			el_wrap: 'li',
			el_content: 'ul',
			accordion: true,
			expand: true,
			btn_open: '<i class="fa fa-plus-square-o"></i>',
			btn_close: '<i class="fa fa-minus-square-o"></i>'
		};
		var options = $.extend({}, defaults, options);
		
		
		$(document).ready(function() {
			$el.find(options.el_wrap).each(function(){
				$(this).find('> a, > span, > h4').wrap('<div class="accr_header"></div>');
				if(($(this).find(options.el_content)).length){
					$(this).find('> .accr_header').append('<span class="btn_accor">' + options.btn_open + '</span>');
					$(this).find('> '+options.el_content+':not(".accr_header")').wrap('<div class="accr_content"></div>');
				}
			});
			if(options.accordion){
				$('.accr_content').hide();
				$el.find(options.el_wrap).each(function(){
					if(options.active_default!==''){
						if( $(this).hasClass(options.active_default) ){
							$(this).addClass(options.active);
						}
					}
					if($(this).hasClass(options.active)) {
						$(this).find('> .accr_content')
							   .addClass(options.active)
							   .slideDown();
						$(this).find('> .accr_header')
							   .addClass(options.active);
					}
				});
			} else {
				$el.find(options.el_wrap).each(function(){
					if(!options.expand){
						$('.accr_content').hide();
					} else {
						$(this).find('> .accr_content').addClass(options.active);
						$(this).find('> .accr_header').addClass(options.active);
						$(this).find('> .accr_header .btn_accor').html(options.btn_close);
					}
				});
			}

	    });
	    $(window).load(function() {
			$el.find(options.el_wrap).each(function(){
				var $wrap = $(this);
				var $accrhead = $wrap.find('> .accr_header');
				var btn_accor = '.btn_accor';
				
				$accrhead.find(btn_accor).on('click', function(event) {
					event.preventDefault();
					var obj = $(this);
					var slide = true;
					if($accrhead.hasClass(options.active)) {
						slide = false;
					}
					if(options.accordion){
						$wrap.siblings(options.el_wrap).find('> .accr_content').slideUp().removeClass(options.active);
						$wrap.siblings(options.el_wrap).find('> .accr_header').removeClass(options.active);
						$wrap.siblings(options.el_wrap).find('> .accr_header ' + btn_accor).html(options.btn_open);
					}
					if(slide) {
						$accrhead.addClass(options.active);
						obj.html(options.btn_close);
						$accrhead.siblings('.accr_content').addClass(options.active).stop(true, true).slideDown();
					} else {
						$accrhead.removeClass(options.active);
						obj.html(options.btn_open);
						$accrhead.siblings('.accr_content').removeClass(options.active).stop(true, true).slideUp();
					}
					return false;
				});
			});
		});
	};


	 // Top header toggle menu
    if($('#sns_header .icon-menu').length > 0){
    	//$('.sns-mainnav-wrapper').hide();
    	$('#sns_header .icon-menu').on('click', function(event){
    		
    		event.preventDefault();
    		var _this = $(this);
    		if(_this.hasClass('close')){
    			_this.removeClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').addClass('open');
    		}else{
    			_this.addClass('close');
    			$('.sns-mainnav-wrapper #sns_mainmenu').removeClass('open');
    		}
    	});
    }

   

})(jQuery);