jQuery(document).ready(function($){
	if( $('#snsnitan_layouttype').length > 0 ){
		var selector = document.getElementById('snsnitan_layouttype');
		var imgLayoutHTML = '';
	    for(var i = 1; i < selector.options.length; i++){
	    	if( selector.options[i].value ){
	    		imgLayoutHTML = imgLayoutHTML + '<span class="img-layout '+selector.options[i].value+'" data-value="'+selector.options[i].value+'" title="'+selector.options[i].text+'"></span>';
	    	}
	    }
	    $('#snsnitan_layouttype').parent().append(imgLayoutHTML); $('#snsnitan_layouttype').css('display', 'none');
	}
	$('.img-layout').each(function(){
		// Add active class
		if($(this).attr('data-value') == $('#snsnitan_layouttype').attr('value')){
			$(this).addClass('active');
		}
		showHideDependLayout($('#snsnitan_layouttype').attr('value'));
		// Click img select
		$(this).unbind('click').click(function(){
			// Change active class
			$val = $(this).attr('data-value'); $('.img-layout').removeClass('active'); $(this).addClass('active');
			// Set value for select
			$('#post-body #snsnitan_layouttype').attr('value', $val);
			// Hide or show field codition
			showHideDependLayout($val);
		});
	});
	//
	if ( $('#page_template').attr('value') == 'fullwidth.php' || $('#page_template').attr('value') == 'sidepage.php' ){
		$('#sns_layout').fadeOut(500);
	}else{
		$('#sns_layout').fadeIn(500);
	}
	
	$('#page_template').change(function(){
		if( $(this).attr('value') == 'fullwidth.php' || $('#page_template').attr('value') == 'sidepage.php' ){
			$('#sns_layout').fadeOut(500);
		}else{
			$('#sns_layout').fadeIn(500);
		}
	})
	function showHideDependLayout($val){
		if( $val == 'm' ){
			$('#post-body #snsnitan_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsnitan_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}else if( $val == 'l-m' ){
			$('#post-body #snsnitan_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			$('#post-body #snsnitan_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}else if( $val == 'm-r' ){
			$('#post-body #snsnitan_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			$('#post-body #snsnitan_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
	}
	// Enable layout config
	$('#post-body input[name="snsnitan_enablelayoutconfig"]').each(function(){
		if( $(this).attr('checked') == 'checked' ) enableLayoutConfig( $(this).attr('value') );
		$(this).change(function(){
			enableLayoutConfig( $(this).attr('value') );console.log($(this).attr('value'));
		})
	})
	// $('#post-body input[name="sns_enablelayoutconfig"]').change(function(){
	// 	enableLayoutConfig( $(this).attr('value') );
	// })
	function enableLayoutConfig($val){
		if( $val == '1' ){
			$('#post-body #snsnitan_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeIn(500);
			showHideDependLayout($('#snsnitan_layouttype').attr('value'));
		}else{
			$('#post-body #snsnitan_leftsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsnitan_rightsidebar').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			$('#post-body #snsnitan_layouttype').parents('.rwmb-layouttype-wrapper').stop(true,true).fadeOut(500);
		}
	}
	//
	showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
	showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
	showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
	showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
	showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
	$('#post-formats-select input').each(function(){
		$(this).unbind('click').click(function(){
			showHideDependPostFormat($('#post-format-gallery').attr('checked'), '#sns-post-gallery' );
			showHideDependPostFormat($('#post-format-video').attr('checked'), '#sns-post-video' );
			showHideDependPostFormat($('#post-format-audio').attr('checked'), '#sns-post-audio' );
			showHideDependPostFormat($('#post-format-quote').attr('checked'), '#sns-post-quote' );
			showHideDependPostFormat($('#post-format-link').attr('checked'), '#sns-post-link' );
		});
	});
	function showHideDependPostFormat($checked, $id){
		if( $checked == 'checked' ){
			$($id).stop(true,true).fadeIn(500);
		}else {
			$($id).stop(true,true).fadeOut(500);
		}
	}
	// Revolution
	$('#post-body input[name=snsnitan_useslideshow]').each(function(){
		if( $(this).attr('checked') == 'checked' ){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body select#snsnitan_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body select#snsnitan_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
		}
		$(this).change(function(){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body select#snsnitan_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body select#snsnitan_revolutionslider').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
		})
	})
	// Theme color
	$('#post-body input[name=snsnitan_page_themecolor]').each(function(){
		if( $(this).attr('checked') == 'checked' ){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body input#snsnitan_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body input#snsnitan_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
			}
		}
		$(this).change(function(){
			if ( $(this).attr('value') == '1' ) {
				$('#post-body input#snsnitan_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
			}else {
				$('#post-body input#snsnitan_theme_color').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
			}
		})
	})

	// Header Style
	$('#post-body select[id=snsnitan_header_style]').each(function(){
		var $thisSelected = $(this).val();
		if($thisSelected == 'style3'){
				$('#post-body #snsnitan_topheader_bg_color_description').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
				
		}else{
				$('#post-body #snsnitan_topheader_bg_color_description').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
		}

		$(this).on('change', function(){
			if(this.value == 'style3'){
				$('#post-body #snsnitan_topheader_bg_color_description').parents('.rwmb-color-wrapper').stop(true,true).fadeIn(500);
			}else{
				$('#post-body #snsnitan_topheader_bg_color_description').parents('.rwmb-color-wrapper').stop(true,true).fadeOut(500);
			}
			
		});

	});
	// Header Style
	$('#post-body select[id=snsnitan_header_style]').each(function(){
		var $thisSelected = $(this).val();
		if($thisSelected == 'style4'){
				$('#post-body #snsnitan_show_advertisement_description').parents('.rwmb-radio-wrapper').stop(true,true).fadeIn(500);
				
		}else{
				$('#post-body #snsnitan_show_advertisement_description').parents('.rwmb-radio-wrapper').stop(true,true).fadeOut(500);
		}

		$(this).on('change', function(){
			if(this.value == 'style4'){
				$('#post-body #snsnitan_show_advertisement_description').parents('.rwmb-radio-wrapper').stop(true,true).fadeIn(500);
			}else{
				$('#post-body #snsnitan_show_advertisement_description').parents('.rwmb-radio-wrapper').stop(true,true).fadeOut(500);
			}
			
		});

	});

// Footer Style
	$('#post-body select[id=snsnitan_number_column_footer]').each(function(){
		
		var $thisSelected = $(this).val();
		if($thisSelected == '1'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		else if($thisSelected == '2'){
			$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		else if($thisSelected == '3'){
			$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		else if($thisSelected == '4'){
			$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		else if($thisSelected == '5-style1' || $thisSelected == '5-style2'){
			$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		else if($thisSelected == '6'){
			$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
		}
		else{
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
		}
		$(this).on('change', function(){
			if(this.value == '1'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			else if(this.value == '2'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			else if(this.value == '3'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			else if(this.value == '4'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			else if(this.value == '5-style1'|| this.value == '5-style2'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			else if(this.value == '6'){
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeIn(500);
			}
			else{
				$('#post-body select#snsnitan_footer_column_1').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_2').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_3').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_4').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_5').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
				$('#post-body select#snsnitan_footer_column_6').parents('.rwmb-select-wrapper').stop(true,true).fadeOut(500);
			}
			
		});
		
	});
})
