<?php
$showbreadcrumbs = 1;
if ( get_post_type( get_the_ID() ) == 'page' ) :
	if ( is_front_page() || ( snsnitan_metabox('snsnitan_showbreadcrump') == '2' ) ) :
		$showbreadcrumbs = 0;
	endif;
elseif ( get_post_type( get_the_ID() ) == 'post') :
		$showbreadcrumbs = 1;
endif;
//
if( snsnitan_themeoption('use_stickmenu') == 1): ?>
    <div id="sticky-navigation-holder" class=""></div>
<?php
endif;

?>

<?php if ( snsnitan_themeoption('show_advertisement') == 1 && is_active_sidebar('Top Advertisement') ) : ?>

	<div class="header_advertisement">	
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Top Advertisement') ) :
			endif; ?>
	</div>
<?php endif; ?>

<!-- Header -->
<div id="sns_header" class="wrap">
	<div class="container">
		<div class="row middle">
			<div class="header-left col-sm-5 col-xs-12">
				<?php if( shortcode_exists( 'yith_woocommerce_ajax_search' ) ):
					echo do_shortcode('[yith_woocommerce_ajax_search]');
				else:
					if(class_exists('WooCommerce')):
				?>
					<div id="headerRightSearchForm">
							<form method="get" action="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>">
                                <input type="text" name="s" id="s" class="input-search"
                                       placeholder="<?php echo esc_html__('Enter your keywords...', 'snsnitan'); ?>" />
                                <input type="hidden" name="post_type" value="product" />
                                <button type="submit"><i class="fa fa-search"></i></button>
                            </form>
					</div>
					<?php endif; ?>
				<?php endif; ?>
			</div>
			<div class="header-center col-sm-2 col-xs-12">
				<div class="header-center-inner">
						<div id="logo">
							<?php 
							$logourl = SNSNITAN_THEME_URI.'/assets/img/logo.png';
							if (snsnitan_getOption('header_logo', 'image') !='' ){
									$logourl = snsnitan_getOption('header_logo', 'image');
								}
							?>
							<a href="<?php echo esc_url( home_url('/') ) ?>" title="<?php bloginfo( 'sitename' ); ?>">
								<img src="<?php echo esc_attr($logourl); ?>" alt="<?php bloginfo( 'sitename' ); ?>"/>
							</a>
						</div>	
				</div>
			</div>
			<div class="header-right col-sm-5 col-xs-12">
				<div class="header-right-inner">
					<div class="header-tools">
						<div class="mysetting">
							<div class="tongle" title="<?php echo esc_html__( 'My setting', 'snsnitan' ); ?>">
								<i class="fa fa-cog"></i>
							</div>
							<div class="content">
								<div class="left">
									<?php
										if ( is_user_logged_in() ) {
											$current_user = wp_get_current_user();
											printf( '<p>Welcome, <a href="%s">%s</a>!</p>', get_edit_user_link($current_user->user_id), esc_html( $current_user->user_login ) );
											?>
											<a class="btn button" href="<?php echo wp_logout_url(); ?>"><?php echo esc_html__("Logout", "snsnitan"); ?></a>
											<?php
										}else{
											wp_login_form();
											?>
											<p class="forgot_password">
												<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Forgot Password', 'snsnitan' ); ?></a>
											</p>
											<?php
										}
									?>

									<?php //if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Login account') ) :
									//endif; ?>
								</div>
								<div class="right">
									<div class="sns-switch">
										<div class="switch-inner">
											<div class="language-switcher">
												<div class="lan-current"><span><?php esc_html_e('Language:', 'snsnitan');?></span> 
												</div>
												<ul class="list-lang">
													<li><span class="current"><img src="<?php echo SNSNITAN_THEME_URI.'/assets/img/en.jpg'?>" alt="en"></span></li>
													<li><a title="<?php esc_html_e('Germany', 'snsnitan');?>" href="#"><img src="<?php echo SNSNITAN_THEME_URI.'/assets/img/ru.jpg'?>" alt="ru"></a></li>
													<li><a title="<?php esc_html_e('Brazil', 'snsnitan');?>" href="#"><img src="<?php echo SNSNITAN_THEME_URI.'/assets/img/bra.jpg'?>" alt="fr"></a></li>
													<li><a title="<?php esc_html_e('France', 'snsnitan');?>" href="#"><img src="<?php echo SNSNITAN_THEME_URI.'/assets/img/fr.jpg'?>" alt="fr"></a></li>
												</ul>
											</div>
											<div class="currency-switcher">
												<div class="currency">
													<span><?php esc_html_e('Currency :', 'snsnitan');?></span>
													
												</div>
												<ul class="select-currency">
													<li><span title="<?php esc_html_e('USD', 'snsnitan');?>"><?php esc_html_e('$', 'snsnitan');?></span></li>
													<li><a title="<?php esc_html_e('EURO', 'snsnitan');?>" href="#"><?php esc_html_e('€', 'snsnitan');?></a></li>
													<li><a title="<?php esc_html_e('GBP', 'snsnitan');?>" href="#"><?php esc_html_e('£', 'snsnitan');?></a></li>
												</ul>
											</div>
										</div>
									</div>
									<?php
							            if(has_nav_menu('top_navigation')): ?>
							            <div class="sns-quickaccess">
											<div class="quickaccess-inner">
										<?php
								           wp_nav_menu( array(
								           				'theme_location' => 'top_navigation',
								           				'container' => false, 
								           				'menu_id' => 'top_navigation',
								           				'menu_class' => 'links',
								           				'walker' => new snsnitan_Megamenu_Front,
								           			));
								        ?>
								        	</div>
								        </div>
								     <?php endif; ?>
								</div>
							</div>
						</div>
						
						<?php if ( class_exists('WooCommerce') ) : ?>
						<div class="mini-cart sns-ajaxcart">
							<div class="mycart mini-cart">
								<a title="View my shopping cart" class="tongle" href="<?php echo snsnitan_cart_url();?>">
									<div class="sns-shopping-cart-icon">
										<i class="fa fa-shopping-basket"></i>
									</div>
									<div class="sns-shopping-cart-info">
										<span class="cart_quantity"><span class="number-item"><?php echo sizeof( WC()->cart->get_cart() );?></span>
										<?php echo snsnitan_cart_total(); ?></span>
									</div>
								</a>
								<?php if ( !is_cart() && !is_checkout() ) : ?>
								<div class="content"><div class="block-inner">
									<div class="shopping-cart-info">
										<span class="label1"><?php echo esc_html('my cart:', 'snsnitan');?></span>
										<span class="ajax_cart_quantity">
											<span class="number-item"><?php echo sizeof( WC()->cart->get_cart() );?></span>
											<span class="unit"><?php echo esc_html('item(s)-', 'snsnitan');?></span>
											<?php echo snsnitan_cart_total(); ?>
										</span>
										<i class="fa fa-shopping-basket" aria-hidden="true"></i>
									</div>
									<?php the_widget( 'WC_Widget_Cart', 'title= ', array('before_title' => '', 'after_title' => '') ); ?>
								</div></div>
								<?php endif; ?>
							</div>
						</div>
						<?php endif; ?>
					</div>
					
				</div>
			</div>
		</div>
	</div>
	<div id="sns_menu">
		<div class="sns_menu_wrapper">
			<div class="container">
					<!-- Menu  -->	
				<div class="sns-mainnav-wrapper">
						<div id="sns_mainnav">
							<div class="visible-lg" id="sns_mainmenu">
								<?php
				                if(has_nav_menu('main_navigation')):
						           wp_nav_menu( array(
						           				'theme_location' => 'main_navigation',
						           				'container' => false, 
						           				'menu_id' => 'main_navigation',
						           				'walker' => new snsnitan_Megamenu_Front,
						           				'menu_class' => 'nav navbar-nav'
						           	) ); 
								else:
									echo '<p class="main_navigation_alert">'.esc_html__('Please sellect menu for Main navigation', 'snsnitan').'</p>';
								endif;
								?>
							</div>
							<?php get_template_part('tpl-respmenu'); ?>
						</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php if ( is_page() && snsnitan_metabox('snsnitan_useslideshow') == 1 ): ?>
	<div id="sns_slideshow" class="wrap">
		<?php
			echo do_shortcode('[rev_slider '.esc_attr(snsnitan_metabox('snsnitan_revolutionslider')).' ]');
		?>
	</div>
	<?php endif; ?>
<?php if ($showbreadcrumbs == 1 && !is_front_page()  && !is_404()) : ?>
<div id="sns_breadcrumbs" class="wrap">
	<div class="container">
		<div id="sns_pathway" class="clearfix">
			<?php snsnitan_breadcrumbs(); ?>
		</div>
	</div>
</div>
<?php endif; ?>