<?php
wp_enqueue_script('owlcarousel');
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

global $post;
$args = array(
	'post_status' => 'publish',
	'post_type' => 'post',
	'orderby' => 'date',
	'order' => 'DESC',
	'posts_per_page' => (int)$number_limit,
	'ignore_sticky_posts' => 1,
);
 
$uq = rand().time();

$lp_query = new WP_Query( $args );

$class = 'sns-latest-posts pre-load ';
$class .= ( trim($extra_class)!='' )?' '.esc_attr($extra_class):'';
$class .= esc_attr($this->getCSSAnimation( $css_animation ));

if( $lp_query->have_posts() ) :
	$output .= '<div id="sns_latestpost'.$uq.'" class="'.$class.' '. esc_attr($template).'">';
	$output .= '<div class="wrapper-latest-posts">';
	
	if ( $title != '' ) $output .= '<h2 class="wpb_heading"><span>'.esc_attr($title).'</span></h2><div class="wrap-icon"></div>';
	$output .= '<div class="navslider"><span class="prev"><i class="fa fa-angle-left"></i></span><span class="next"><i class="fa fa-angle-right"></i></span></div>';
	$output .= '</div>';
	if($template == 'style_1'){
		$output .= '<ul class="style_1">';
	}
	elseif($template == 'style_2'){
		$output .= '<ul class="style_2">';
	}
	else{
		$output .= '<ul class="style_3">';
	}
	
	while ( $lp_query->have_posts() ) : $lp_query->the_post();
		$output .= '<li class="item-post">';
			if($template == 'style_2'){
			$output .= '<div class="post-content">';
			}
				if(has_post_thumbnail() && $show_img == 'yes'):
				$output .= '<div class="post-thumb">';
					$output .= '<a class="post-author" href="'. esc_url(get_permalink()) .'">';
					$output .= get_the_post_thumbnail(get_the_ID(), 'snsnitan_latest_posts');
					$output .= '<i class="fa fa-link"></i></a>';
					if ( $show_date == 'yes'&& $template == 'style_1'){
						$output .= '<div class="date-blog">'.'<span class="day">'.get_the_date('d').'</span>'.'<span class="month">'.get_the_date('M').'</span>'.'</div>';
					}
				$output .= '</div>';
				endif;
				$output .= '<div class="post-info">';
					$output .= '<div class="info-inner">';
						$categories = get_the_category();
						if ( ! empty( $categories ) && $show_category == 'yes' ) {
							  $output .= '<span>'.esc_html__(' In ','snsnitan').'</span>';
						    foreach( $categories as $category ) {
						        $output .= '<a class="category-name" href="' . esc_url( get_category_link( $category->term_id ) ) . '">' . esc_html( $category->name ).', ' . '</a>' ;
						    }		  
						}
						$output .= '<h4 class="post-title"><a href="'.esc_url( get_permalink() ).'">'.get_the_title().'</a></h4>';
						if ( $show_post_excerpt == 'yes'){
							$output .= '<div class="post-excerpt">' . get_the_excerpt() . '</div>';
						}
						$output .= '<div class="latest-post-info">';

							if ( $show_date == 'yes'&& ($template == 'style_2' || $template == 'style_3')){
								$output .= '<div class="date-blog">'.'<span class="month">'.get_the_date('M') .'</span>'.'<span class="day">'.get_the_date('d').'</span>'.'<span class="year">, '.get_the_date('y').'</span>'.'</div>';
							}
							if ( $show_author == 'yes'){
								$output .= '<div class="author"><span> - '. esc_html__('By','snsnitan').' </span><span class="post-author"><a href="'.esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) )) .'">'.get_the_author_meta('nickname').'</a></span></div>';
							}
						$output .= '</div>';
						
							if ($show_comment == 'yes'){
								$output .= '<span class="comment-count">';
								$output .= '<span class="comments-link">';
								/* translators: %s: post title */
								ob_start();
								comments_popup_link( esc_html__( '0 Comments','snsnitan' ),  esc_html__( '1 Comment','snsnitan' ), '%' . esc_html__(' Comments','snsnitan'));
								$output .= ob_get_clean();
								$output .= '</span>';
								$output .= '</span>';
							}
							if ( $show_readmore == 'yes' ) { 
					  			$output .= '<div class="read-more"><a href = "'. esc_url( get_permalink() ) .'">'.esc_html__(' Read More','snsnitan').'<i class="fa fa-arrow-circle-o-right"></i></a></div>';
					  		}
						
					$output .= '</div>';
				$output .= '</div>';
			if($template == 'style_2'){
			$output .= '</div>';
			}
		$output .= '</li>';
	endwhile;
	
	$output .= '</ul>';
	
	if (( $show_viewall == 'yes') && (get_option( 'show_on_front' ) == 'page' )) { 


		$output .= '<div class="view_all"><a class="button" href="'. get_permalink( get_option('page_for_posts')).'" >'.esc_html__('View all','snsnitan').'</a></div>';
	}
	$output .= '</div>';
	ob_start();
	?>

	<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#sns_latestpost<?php echo $uq;?>').removeClass('pre-load');
		jQuery('#sns_latestpost<?php echo $uq;?> ul.style_1').owlCarousel({
			items: 3,
			responsive : {
			    0 : { items: 1 },
			    480 : { items: 2 },
			    768 : { items: 2 },
			    992 : { items: 3 },
			    1200 : { items: 3 }
			},
			loop:false,
	        dots: false,
		    // autoplay: true,
	        onInitialized: callback,
	        slideSpeed : 800
		});
		function callback(event) {
				if(this._items.length > this.options.items){
		        jQuery('#sns_latestpost<?php echo $uq;?> .navslider').show();
		    }else{
		        jQuery('#sns_latestpost<?php echo $uq;?> .navslider').hide();
		    }
		}
		jQuery('#sns_latestpost<?php echo $uq;?> .navslider .prev').on('click', function(e){
			e.preventDefault();
			jQuery('#sns_latestpost<?php echo $uq;?> ul').trigger('prev.owl.carousel');
		});
		jQuery('#sns_latestpost<?php echo $uq;?> .navslider .next').on('click', function(e){
			e.preventDefault();
			jQuery('#sns_latestpost<?php echo $uq;?> ul').trigger('next.owl.carousel');
		});
	});
	</script>
	<?php
	$output .= ob_get_clean();
endif;
/* Restore original Post Data */
wp_reset_postdata();
echo $output;
