<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$class_content = '';

$image_left_url = absint($image_left) ? wp_get_attachment_image_url($image_left, 'full') : '';
$image_right_url = absint($image_right) ? wp_get_attachment_image_url($image_right, 'full') : '';
$class_img = '';
$class_product = '';
 if ( $image_left != '' && $image_right != ''){
 	$class_img = 'wpb_column vc_col-sm-12 vc_col-md-3';
 	$class_product = 'wpb_column vc_col-sm-12 vc_col-md-6';
 }
 else if( $image_left != '' && $image_right == ''){
 	$class_img = 'wpb_column vc_col-md-12 vc_col-lg-7';
 	$class_product = 'wpb_column vc_col-md-12 vc_col-lg-5';
 }
 else if( $image_left == '' && $image_right != ''){
 	$class_img = 'wpb_column vc_col-md-12 vc_col-lg-7';
 	$class_product = 'wpb_column vc_col-md-12 vc_col-lg-5';
 }
 else {
 	$class_img = 'wpb_column vc_col-sm-12 vc_col-md-0';
 	$class_product = 'wpb_column vc_col-sm-12 vc_col-md-12';
 }

if( class_exists('WooCommerce') ){
	$uq = rand().time();
	ob_start();	
		?>
		<div id="sns_onsale_product-<?php echo $uq; ?>" class="sns_onsale_product <?php echo $text_align ?> <?php echo $class_content ?>">
			<div class="row">
				<?php if ( $image_left != '' ): ?>
					<div class="img-left <?php echo $class_img ?>">
					 	<img class="image" alt="<?php echo esc_attr($img_right_title) ?>" src="<?php echo $image_left_url; ?>"></img>
					</div>
				<?php endif ?>
				<div class="sns_onsale_product-content <?php echo $class_product ?>">
					<?php if( $prefix != '' ) : ?>
						<div class="prefix">
							<?php echo $prefix ?>
						</div>
					<?php endif ?>
					<div class="item-title">
						<h3 itemprop="name" class="product_title entry-title">
							<a href="<?php echo esc_url(get_permalink($product)); ?>"><?php echo get_the_title($product); ?></a>
						</h3>
					</div>
					<div class="item-short-desc">
						<div itemprop="description">
							<?php
							$limit = ($excerpt_lenght) ? absint($excerpt_lenght) : 20;
							$excerpt = explode(' ', get_the_excerpt($product), $limit);
							if (count($excerpt)>=$limit) {
								array_pop($excerpt);
								$excerpt = implode(" ",$excerpt).'...';
							} else {
								$excerpt = implode(" ",$excerpt);
							}
							$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
							echo $excerpt;
							?>
						</div>				
					</div> 
					<?php if( $show_price == 'yes' ) : ?>
						<div class="sns_sale_price">
							<span class="price">
								<?php
								$product_arr = new WC_Product( $product);
								echo $product_arr->get_price_html();
								?>
							</span>
						</div>
					<?php endif ?>
					
					<?php 
							// Get the Sale Price Date To of the product
							$sale_price_dates_to 	= ( $date = get_post_meta( $product, '_sale_price_dates_to', true ) ) ? date_i18n( 'Y/m/d', $date ) : '';
							//var_dump($sale_price_dates_to);die;
							/** set sale price date to default 10 days for http://demo.snstheme.com/ */
							
					if(!empty($sale_price_dates_to)):
						if( strpos(site_url(), 'demo.snstheme.com') || strpos(site_url(), 'dev.snsgroup.me') ){
			                if($sale_price_dates_to == 0 || $sale_price_dates_to <= date('Y/m/d')) $sale_price_dates_to = date('Y/m/d', strtotime('+10 days'));
			            }
					wp_enqueue_script('countdown');
					?>
					<div class="item-slider-countdown">
						<div class="sns_sale_clock">
							<div><span class="day"></span><?php esc_html_e('Days', 'snsnitan');?></div>
							<div><span class="hours"></span><?php esc_html_e('Hours', 'snsnitan');?></div>
							<div><span class="minutes"></span><?php esc_html_e('Mins', 'snsnitan');?></div>
							<div><span class="seconds"></span><?php esc_html_e('Secs', 'snsnitan');?></div>
						</div>
						<script type="text/javascript">
							jQuery(document).ready(function($){
								$('#sns_onsale_product-<?php echo $uq; ?> .sns_sale_clock').countdown('<?php echo $sale_price_dates_to; ?>', function(event){
									$(this).find('.day').html(event.strftime('%D'));
									$(this).find('.hours').html(event.strftime('%H'));
									$(this).find('.minutes').html(event.strftime('%M'));
									$(this).find('.seconds').html(event.strftime('%S'));
								});
							});
		
						</script>
					</div>
					<?php endif; ?>	
					<a class="button" href="<?php echo esc_url(get_permalink($product)); ?>"><?php esc_html_e('View more', 'snsnitan'); ?></a>			
				</div>
				<?php if ( $image_right != '' ): ?>
					<div class="img-right <?php echo $class_img ?>">
					 	<img class="image" alt="<?php echo esc_attr($img_right_title) ?>" src="<?php echo $image_right_url; ?>"></img>
					</div>
				<?php endif ?>
			</div>
		</div> 	
		<?php
	$output .= ob_get_clean();
	wp_reset_postdata();
}
echo $output;
