<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
// Array tabs title
$tab_titles = $this->snsnitan_getListTabTitle();

$uq = rand().time();
$class = 'sns-product-tabs woocommerce template-'.esc_attr($template);
if( $template == 'carousel' ){
	wp_enqueue_script('owlcarousel');
	$class .= ' pre-load'; 
}
$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$class .= esc_attr($this->getCSSAnimation( $css_animation ));

$title = esc_html($title);

$title= str_replace( $title2, '<span>'.$title2.'</span>', $title );
ob_start();
?>
<div id="sns_product_tabs<?php echo esc_attr($uq);?>" class="<?php echo esc_attr($class); ?>">
<?php if( class_exists('WooCommerce') ){ ?>
	<?php 
	if ($template == 'grid') :
		$number_query = $row*$col;
	else:
		$number_query = $number_limit;
	endif;
	
	if ($tab_types == 'category'){
		if( empty($list_cat) ){
			$tabs = $this->snsnitan_getCats();
		}else{
			$tabs = explode(',', $list_cat);
		}
	}else{ // Tab type orderby
		$tabs = explode(',', $list_orderby);
	}
	?>
	
	<div class="sns-nav-tabs-warpper <?php echo esc_attr($heading_style); ?>">
		<?php if ($title !='' ) : ?>
		<h2 class="wpb_heading">
				<?php echo wp_kses( $title, array(
						'span' => array()
					)); ?>
			<!-- <span class="title"><?php echo esc_attr($title); ?></span>
			<span> </span> <span class="title2"><?php echo esc_attr($title2); ?></span> -->
		</h2>
		<div class="wrap-icon"></div>
		<?php endif; ?>
		<ul class="nav-tabs gfont">
			<?php
			$i = 0;
			$aclass = '';
			$data_type = 'cat';
			foreach ($tab_titles as $tab) { 
				$i++;
				$aclass = 'intent-tab ';
				if ( $i == 1){
					$class = 'nav-item first';
					$aclass .= 'tab-loaded ';
				}else{
					$class = 'nav-item';
				}
				
				if($tab_types == 'category'){
					$cat = $tab['name'];
					$data_type = 'cat';
				}else{
					$cat = $list_cat;
					$orderby = $tab['name'];
					$data_type = 'order';
				}
				
				?>
					<li class="<?php echo esc_attr($class); ?>">
						<a href="#producttabs_<?php echo esc_attr($tab['name'].$uq); ?>" class="<?php echo esc_attr($aclass);?>" title="<?php echo esc_attr($tab['title']); ?>"
							data-type			= "<?php echo esc_attr($data_type);?>"
							data-wrap-id		= "sns_product_tabs<?php echo esc_attr($uq);?>"
							data-tab-id			= "producttabs_<?php echo esc_attr($tab['name'].$uq);?>"
							data-cat			= "<?php echo esc_attr($cat);?>"
							data-template		= "<?php echo esc_attr($template);?>"
							<?php if ( $template == 'carousel' ): ?>
							data-number-display	= "<?php echo esc_attr($number_display_1200);?>"
							data-number-display-992 = "<?php echo esc_attr($number_display_992); ?>"
							data-number-display-768 = "<?php echo esc_attr($number_display_768); ?>"
							data-number-display-480 = "<?php echo esc_attr($number_display_480); ?>"
							<?php endif; ?>
							data-orderby		= "<?php echo esc_attr($orderby);?>"
							data-number-query	= "<?php echo esc_attr($number_query);?>"
							data-number-limit	= "<?php echo esc_attr($number_limit);?>"
							data-effect-load	= "<?php echo esc_attr($effect_load);?>"
							data-col			= "<?php echo esc_attr($col);?>"
							data-uq				= "<?php echo esc_attr($uq);?>"
							data-number-load	= "<?php echo esc_attr($number_load);?>"
							>
							<span><?php echo esc_html($tab['short_title']); ?></span>
						</a>
					</li>
				<?php
			}
			?>
		</ul>
		<ul class="tab_dropdown">
		    <li class="dropdown pull-left tabdrop hidden-lg hidden-md">
		        <a href="#" data-toggle="dropdown" class="dropdown-toggle">
		            <span class="display-tab"><i class="fa fa-align-justify"></i></span>
		        </a>
		        <ul class="dropdown-menu gfont">
		            <?php
		            foreach ($tab_titles as $tab) { 
		                ?>
		                <li class="nav-item">
		                    <a href="#drop_producttabs_<?php echo esc_attr($tab['name']); ?>" class="<?php echo esc_attr($aclass);?>" title="<?php echo esc_attr($tab['title']); ?>"
								data-type			= "<?php echo esc_attr($data_type);?>"
								data-wrap-id		= "sns_product_tabs<?php echo esc_attr($uq);?>"
								data-tab-id			= "producttabs_<?php echo esc_attr($tab['name'].$uq);?>"
								data-cat			= "<?php echo esc_attr($cat);?>"
								data-template		= "<?php echo esc_attr($template);?>"
								data-orderby		= "<?php echo esc_attr($orderby);?>"
								data-number-query	= "<?php echo esc_attr($number_query);?>"
								data-number-display	= "<?php echo esc_attr($number_display_1200);?>"
								data-number-limit	= "<?php echo esc_attr($number_limit);?>"
								data-effect-load	= "<?php echo esc_attr($effect_load);?>"
								data-col			= "<?php echo esc_attr($col);?>"
								data-uq				= "<?php echo esc_attr($uq);?>"
								data-number-load	= "<?php echo esc_attr($number_load);?>"
		                    ><?php echo esc_html($tab['short_title']); ?></a>
		                </li>
		            <?php } ?>
		        </ul>
		    </li>
		</ul>
	</div><!-- /.sns-nav-tabs-warppe -->
	
	<div class="tab-content">
	<?php 
		$ii = 0;
		foreach ($tabs as $tab) {
			$ii ++;
			if( $ii == 1){
				if($tab_types == 'category'){
					$cat = $tab;
				}else{
					$cat = $list_cat;
					$orderby = $tab;
				}
				$tab_args = array(
					'data_type'		=> $data_type,
					'wrap_id'		=> 'sns_product_tabs'.$uq,
					'tab_id'		=> 'producttabs_'.$tab.$uq,
					'cat'			=> $cat,
					'template'		=> $template,
					'orderby'		=> $orderby,
					'number_query'	=> $number_query,
					'number_limit'	=> $number_limit,
					'effect_load'	=> $effect_load,
					'col'			=> $col,
					'uq'			=> $uq,
					'number_load'	=> $number_load,
					'show_button'	=> $show_button

				);
				if ( $template == 'carousel' ) $tab_args = array_merge($tab_args, array(
					'number_display'=> $number_display_1200,
					'number_display_992' => $number_display_992, 
					'number_display_768' => $number_display_768, 
					'number_display_480' => $number_display_480,
				));
				wc_get_template( 'vc/template-tab.php', array('tab_args' => $tab_args) );
	    	}
		}
	?>
	</div>
	<script>
		jQuery(document).ready(function($){
			// Only handle preload for template is carousel
			$('#sns_product_tabs<?php echo $uq;?>.template-carousel').removeClass('pre-load');
			// Tab
			$('#sns_product_tabs<?php echo $uq;?> .nav-tabs').find("li").first().addClass("active");
			$('#sns_product_tabs<?php echo $uq;?> ul.dropdown-menu').find("li").first().addClass("active");
			// Tab content
			$('#sns_product_tabs<?php echo $uq;?> .tab-content .tab-pan').css({'overflow':'hidden', 'height':'0'});
			$('#sns_product_tabs<?php echo $uq;?> .tab-content').find(".tab-pan").first().addClass("active in").css({'overflow':'', 'height':''});
			// Handle click
			$('#sns_product_tabs<?php echo $uq;?> .nav-tabs > li, '+ '#sns_product_tabs<?php echo $uq;?> ul.dropdown-menu > li').click(function(e){
				e.preventDefault();
				if( !$(this).hasClass('active') ){
					id = $(this).find('a').attr('href');
					// lazyload
					if( $('body').hasClass('use_lazyload') ){
						var timeout = setTimeout(function() {
					        $(id + " img.lazy:not(.loaded)").trigger("appear")
					    }, 2000);
					}
					// Tab
					$('#sns_product_tabs<?php echo $uq;?> .nav-tabs li').removeClass('active');
					$('#sns_product_tabs<?php echo $uq;?> ul.dropdown-menu li').removeClass('active');
					$(this).addClass('active');
					if( id.indexOf('drop_') == 1){
						id = id.replace('drop_', '');
						$('#sns_product_tabs<?php echo $uq;?> .nav-tabs li').each(function(){
							if ( $(this).find('a').attr('href') == id ) $(this).addClass('active');
						})	
					}else{
						$('#sns_product_tabs<?php echo $uq;?> ul.dropdown-menu li').each(function(){
							if ( $(this).find('a').attr('href').replace('drop_', '') == id ) $(this).addClass('active');
						})
					}
					// Tab content
					$('#sns_product_tabs<?php echo $uq;?> .tab-pan').removeClass('active').removeClass('in').css({'overflow':'hidden', 'height':'0'});
					$('#sns_product_tabs<?php echo $uq;?>').find(id).addClass('active').addClass('in').css({'overflow':'', 'height':''});
					
					// Reset effect
					
					SnsJsWoo.resetAnimate($(this));
	            	
					return false;
				}
			});
	   	});
	</script>
<?php } ?>
</div>
<?php
$output .= ob_get_clean();
wp_reset_postdata();
echo $output;
