<?php
wp_enqueue_script('owlcarousel');
if( $relates->have_posts() ): ?>
	<h3 class="related-title">
        <span><?php echo esc_html__( 'Related Post', 'snsnitan' ); ?></span>
    </h3>
    <div class="navslider">
        <span class="prev"><i class="fa fa-angle-left"></i></span>
        <span class="next"><i class="fa fa-angle-right"></i></span>
    </div>
    <div class="related-content">
		<?php
		while ( $relates->have_posts() ) : $relates->the_post();
        ?>
            <div class="item">
                <h4 class="title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h4>
                <?php if ( has_post_thumbnail()) : ?>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="image">
                        <?php the_post_thumbnail('snsnitan_blog_grid3_thumbnail_size'); ?>
                    </a>
                <?php endif; ?>
            </div>
        <?php
        endwhile; ?>
    </div>
    <?php
endif;
?>