<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
  	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<div id="sns_wrapper" class="sns-container">
	<?php
	$header_style = snsnitan_getOption('header_style', null, 'style2');
	if ( $header_style == 'style1' ) : ?>														
		<?php get_template_part('tpl-head'); ?>
	<?php endif; ?>
	<?php if ( $header_style == 'style2' ) : ?>														
		<?php get_template_part('tpl-head-style2'); ?>
	<?php endif; ?>
	<?php if ( $header_style == 'style3' ) : ?>														
		<?php get_template_part('tpl-head-style3'); ?>
	<?php endif; ?>
	<?php if ( $header_style == 'style4' ) : ?>														
		<?php get_template_part('tpl-head-style4'); ?>
	<?php endif; ?>