<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
if( class_exists('WooCommerce') ){	
	if(empty($category)){
		return;
	}
	$image_url = absint($image) ? wp_get_attachment_image_url($image, 'full') : '';
	$term = get_term_by( 'slug', $category, 'product_cat', 'ARRAY_A');
	if ( $term ) {
		$link = get_term_link( $term['term_id'], 'product_cat' ); 
	} else {
		$link = '#';
	}
	$uq = rand().time();
	$class = 'sns-category woocommerce';
	$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
	$class .= esc_attr($this->getCSSAnimation( $css_animation ));
	$class .= ' '.esc_attr( $image_alignment );
	

	$limit = ($excerpt_lenght) ? absint($excerpt_lenght) : 20;
	$excerpt = explode(' ', $term['description'], $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...';
	} else {
		$excerpt = implode(" ",$excerpt);
	}
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	
			
	$output .= '<div id="sns_category'.$uq.'" class="'.$class.'">';
	
	
	if ( $image != '' ){
		 $output .= '<img class="image" alt="'.esc_attr($img_title).'" src="'.$image_url.'"/>';
	}
	if ( $category != '' ){
	$output .= '<div class="category_content">';
	 $output .= '<h2 class="wpb_heading"><span>'.$term['name'].'</span></h2>';

	 $output .= '<p class="description">'.$excerpt.'</p>';
	 $output .= '<a class="button" href="' . esc_url($link) . '">see more</a>';
	 $output .= '</div>';
	}
	
	
	
	ob_start();
	$output .= ob_get_clean();
	$output .= '</div>';
}
echo $output;
