<?php
/*
* SNS Custom Box
*/

$output = '';
$id = rand().time();
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

vc_icon_element_fonts_enqueue( $icon_type ); 
$icon_style = '';
if( $icon_color != '' ){
	$icon_style .= 'color:'.esc_attr($icon_color).';';
}
if( $icon_font_size != '' ){
	$icon_style .= 'font-size:'.esc_attr($icon_font_size).';';
}
$custombox_css='';
if( $custom_box_bg != '' ){
	$custombox_css.= 'background:'.esc_attr($custom_box_bg).';'.'padding-left:28px;';
}

if( $custom_border_size != '' && $custom_border_color != '' ){
	$custombox_css.= 'border:'.esc_attr($custom_border_size).' solid '.esc_attr($custom_border_color). ';'.'padding-left:28px;';
}
$tclass = 'sns-custom-box faa-parent';
$border_right_style = '';
if( $border_right != '' ){
	$border_right_style.= 'border-right: 1px solid '.esc_attr($border_right).';';
	$tclass .= ' have_border_right';
}

$icon_style .= 'display: inline-block;';
$tclass .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$tclass .= esc_attr($this->getCSSAnimation( $css_animation ));
if( $text_align != '' ){
	$tclass .= ' '.esc_attr($text_align);
}
if( $icon_border == 1){
	$tclass .=' iconborder';
}
ob_start();
?>
<style scoped>
		#sns-custombox-<?php echo $id; ?>{ <?php echo $custombox_css ?> }
		#sns-custombox-<?php echo $id; ?> .custom-box-wrapper{ <?php echo $border_right_style ?>}
		#sns-custombox-<?php echo $id; ?> .custom-box-wrapper  span{ <?php echo $icon_style; ?> }
</style>

<div id="sns-custombox-<?php echo $id; ?>" class="<?php echo esc_attr($tclass); ?> animated-hover" >
	<div class="custom-box-wrapper">
		<div class="icon">
			
				<span class="vc_icon_element-icon <?php echo esc_attr( ${"icon_" . $icon_type} ); ?> faa-horizontal"></span>
	
		</div>
		<div class="content-custom-box">
			<?php if($title != ''):?>
			<h2 class="wpb_heading"><a href="<?php echo esc_url( $link ) ?>"><?php echo esc_html( $title ) ?></a></h2>
			<?php endif; ?>
			<?php if($desc != ''):?>
			<p><?php echo esc_html( $desc ); ?></p>
			<?php endif; ?>
		</div>
	</div>
</div>

<?php


$output = ob_get_clean();
echo $output;