<?php
$lclass = '';
$rclass = '';
$mclass = '';
$hasL = 0;
$hasR = 0;

$snsnitan_layouttype = snsnitan_metabox('snsnitan_layouttype', 'm-r');

if( is_product_category() ){
	$cate = get_queried_object();
	$snsnitan_layouttype = snsnitan_get_term_byid($cate->term_id, 'snsnitan_product_cat_layout');
}
if ( trim($snsnitan_layouttype) == '' ) $snsnitan_layouttype = 'l-m'; // Tempolary
if( is_product_tag() ){
	$snsnitan_layouttype = '';
}

if( is_product() ){
	$mclass = 'col-md-12';
}else{
	if ( $snsnitan_layouttype == '' || $snsnitan_layouttype == 'l-m'){
	    $lclass .= 'col-md-3';
	    $mclass = 'col-md-9';
	    $hasL = 1;
	}elseif( $snsnitan_layouttype == 'm-r' ){
	    $rclass .= 'col-md-3';
	    $mclass = 'col-md-9';
	    $hasR = 1;
	}elseif( $snsnitan_layouttype == 'l-m-r' ){
	    $lclass .= 'col-md-3';
	    $rclass .= 'col-md-3';
	    $mclass = 'col-md-6';
	    $hasL = 1;
	    $hasR = 1;
	}else{
	    $mclass = 'col-md-12';
	}
}
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="row sns-content sns-woocommerce-page">
			<?php if ($hasL == 1) :?>
			<!-- left sidebar -->
			<div class="<?php echo esc_attr($lclass); ?> sns-left">
			    <?php 
				if( snsnitan_metabox('snsnitan_leftsidebar')!= '' && is_active_sidebar( snsnitan_metabox('snsnitan_leftsidebar') ) ){
			        dynamic_sidebar( snsnitan_metabox('snsnitan_leftsidebar') );
			    }else{
			        dynamic_sidebar( 'woo-sidebar' );
			    }
			    ?>
			</div>
		<?php endif; ?>
			<!-- Main content -->
			<div class="<?php echo esc_attr($mclass); ?> sns-main">
			    <?php
		    	if( is_product() ){
					wc_get_template( 'single-product.php' );
				}else{
					wc_get_template( 'listing-product.php' );
				}
				?>
			</div>
			<?php if ($hasR == 1): ?>
			<!-- Right sidebar -->
			<div class="<?php echo esc_attr($rclass); ?> sns-right">
			    <?php 
			    if( snsnitan_metabox('snsnitan_rightsidebar')!= '' && is_active_sidebar( snsnitan_metabox('snsnitan_rightsidebar') ) ){
			        dynamic_sidebar( snsnitan_metabox('snsnitan_rightsidebar') );
			    }else{
			        dynamic_sidebar( 'woo-sidebar' );
			    }
			    ?>
			</div>
			<?php endif ?>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>